Bug 6691 - Anaconda IOError: (Errno 28) No space left on device
Summary: Anaconda IOError: (Errno 28) No space left on device
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-03 19:03 UTC by dschommer
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 03:09:59 UTC


Attachments (Terms of Use)

Description dschommer 1999-11-03 19:03:20 UTC
During the install with new boot.img and "updates" image I
received a halting error.

I installed the "updates" disk as requested and then the
message "Reading Anaconda Updates..." stayed on the screen
for about 15 minutes while the hard disk read like crazy.
After which I received the error:

-----------------------------
Probing Mouse Type...
Traceback (innermost last)
  File "/usr/bin/anaconda", line 133, in ?
     result = xserver.startX()
  File "/usr/lib/python1.5/site-packages/xserver.py", line
100, in startX
     f.write(x.monitorSection())
  IOError: (Errno 28) No Space left on device
install exited abnormally
-------------------------------

I duplicated this six times (hoping it would "just work" one
of the times).

Environment:

-Attempting to upgrade RedHat 5.0 to RedHat 6.1.
-Kernal: 2.0.32
-IDE hard disks
-Updated boot image with "linux updates" typed at the boot
prompt.
-Windows NT 4.0 Workstation is installed on the first
partition.
-Not sure if this matters, but my (linux) file system looks
like this:
----------------------------
/dev/hda2               /                       ext2
defaults        1 1
/dev/hda8               /home                   ext2
defaults        1 2
/dev/hda5               /usr                    ext2
defaults        1 2
/dev/hda7               /usr/local              ext2
defaults        1 2
/dev/hda6               /usr/src                ext2
defaults        1 2
/dev/hda3               swap                    swap
defaults        0 0
/dev/fd0                /mnt/floppy             ext2
noauto          0 0
/dev/cdrom              /mnt/cdrom              iso9660
noauto,ro       0 0
none                    /proc                   proc
defaults        0 0
--------------------------------

Any other information can be available upon request.

Derrick Schommer
(dschommer@arrowpoint.com)

Comment 1 Jay Turner 2000-02-09 03:09:59 UTC
This is pretty much nothing more than there not being enough space for the
installer to do its thing.


Note You need to log in before you can comment on or make changes to this bug.